FixedBlockSize< N > Class Template Reference

Inherited by algorithms with fixed block size. More...

`#include <seckey.h>`

## Static Public Attributes

static const int | BLOCKSIZE = N
| The block size of the algorithm provided as a constant.

## Detailed Description

template<unsigned int N>
class FixedBlockSize< N >

Inherited by algorithms with fixed block size.

Template Parameters

  N | the blocksize of the algorithm

Definition at line 40 of file seckey.h.

## Member Data Documentation

## BLOCKSIZE

template<unsigned int N>

const int FixedBlockSize< N >::BLOCKSIZE = N

static

The block size of the algorithm provided as a constant.

Definition at line 44 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h